Complete Multipart Upload

Once you upload all parts to S3 bucket via pre-signed URL, use this endpoint to complete the multipart upload.

Path Parameters
  • asset_id
    Type: string
    required

    An asset id for which you are uploading original video via multipart

Body
application/json
  • parts
    Type: array object[]

    List of object containing part number with ETag received as a response header while uploading each part

Responses
  • application/json
  • application/json
Request Example for post/video/assets/{asset_id}/multipartupload/complete
import Gumlet from '@gumlet/nodejs-sdk';

const client = new Gumlet({
  apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});

const multipartUpload = await client.multipartUpload.complete('assetId');

console.log(multipartUpload);
{}